> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Count Session

> Get details for a single inventory count session by ID.



## OpenAPI

````yaml get /inventory/count-sessions/{session_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/count-sessions/{session_id}:
    get:
      tags:
        - Stock
      summary: Get Count Session
      description: Get details for a single inventory count session by ID.
      operationId: get_count_session_inventory_count_sessions__session_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryCountSession'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InventoryCountSession:
      properties:
        id:
          type: string
          title: Id
        creatorId:
          type: string
          title: Creatorid
        creatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorname
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        locationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationname
        defaultReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Defaultreason
        status:
          $ref: '#/components/schemas/InventoryCountStatus'
        rows:
          items:
            $ref: '#/components/schemas/InventoryCountRow'
          type: array
          title: Rows
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        submittedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Submitteddate
      type: object
      required:
        - creatorId
        - status
      title: InventoryCountSession
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InventoryCountStatus:
      type: string
      enum:
        - DRAFT
        - SUBMITTED
      title: InventoryCountStatus
    InventoryCountRow:
      properties:
        stockId:
          type: string
          title: Stockid
        locationId:
          type: string
          title: Locationid
        stockName:
          type: string
          title: Stockname
        locationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationname
        unit:
          anyOf:
            - $ref: '#/components/schemas/Unit'
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Stock category name, snapshotted at session start
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
          description: Brand(s) of the linked items, snapshotted at session start
        systemQty:
          type: number
          title: Systemqty
          description: System quantity snapshotted at session start
        countedQty:
          anyOf:
            - type: number
            - type: 'null'
          title: Countedqty
          description: Physically counted quantity; None means not yet counted
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
      type: object
      required:
        - stockId
        - locationId
        - stockName
        - systemQty
      title: InventoryCountRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Unit:
      type: string
      enum:
        - AMPOULES
        - APPLICATORS
        - BOTTLES
        - BOXES
        - CAPSULES
        - CUPS
        - DOSES
        - G_PER_ML
        - GRAMS
        - IU
        - IU_PER_ML
        - OUNCES
        - FLUID_OUNCES
        - KG
        - KITS
        - LITERS
        - MCG
        - MG
        - MG_PER_ML
        - ML
        - MMOL
        - MICROGRAM_PER_ML
        - PACKS
        - PAIRS
        - PATCHES
        - PERCENTAGE
        - PIECES
        - POUCHES
        - ROLLS
        - SACHETS
        - SHEETS
        - SPRAYS
        - STRIPS
        - SYRINGES
        - TABLETS
        - TABLETS_PER_DAY
        - TESTS
        - TROCHES
        - TUBES
        - UNITS
        - VIALS
        - TREATMENTS
        - SESSIONS
        - PULSES
        - JOULES
        - CENTIMETERS
        - THREAD_COUNT
        - INJECTIONS
        - WRINKLE_UNITS
        - POUNDS
        - FEET
        - INCHES
      title: Unit

````